=== debian/changelog ===
docker.io (1.10.3-0ubuntu6) xenial; urgency=medium

  * Clean up some DEP3 patch metadata (especially "Origin" and "Forwarded")

 -- Tianon Gravi <tianon@debian.org>  Wed, 20 Apr 2016 14:19:16 -0700

docker.io (1.10.3-0ubuntu5) xenial; urgency=medium

  * Rebuild to pick up fixes in golang-1.6 1.6-0ubuntu5.
  * Add golang version to Built-Using in docker package.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 11 Apr 2016 14:15:45 +1200

docker.io (1.10.3-0ubuntu4) xenial; urgency=medium

  * Drop d/patches/libnetwork-s390x.patch, no longer needed after golang
    updates.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 04 Apr 2016 16:27:28 +1200

docker.io (1.10.3-0ubuntu3) xenial; urgency=medium

  * Do not use aufs in a lxd container.  (LP: #1560685)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 31 Mar 2016 21:30:49 -0500

docker.io (1.10.3-0ubuntu2) xenial; urgency=medium

  * Add "TasksMax=infinity" patch for newer kernel+systemd
  * Add support to DEP8 test script for passing *_proxy environment variables
    forward appropriately

 -- Tianon Gravi <tianon@debian.org>  Mon, 28 Mar 2016 15:20:51 -0700

docker.io (1.10.3-0ubuntu1) xenial; urgency=medium

  [ Joseph Ferguson ]
  * Update "Homepage" to "dockerproject.org" (versus ".com" which now redirects)
  * Update "Vcs-Browser" to use https
  * Add missing "jq" to DEP8 test dependencies
  * Add a few multiarch build system patches to enable running the integration
    tests

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 24 Mar 2016 16:08:42 -0500

docker.io (1.10.2-0ubuntu4) xenial; urgency=medium

  * Add debian/patches/upstream-delegate.patch: Add "Delegate=yes" to docker's
    service file, so that it can manage cgroups by itself. Patch cherry-picked
    from upstream master. (LP: #1546214)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 13 Mar 2016 22:50:51 +0100

docker.io (1.10.2-0ubuntu3) xenial; urgency=medium

  * debian/control:
    - drop the any- prefix on build arches;  seems that any-armhf isn't
      defined, so armhf builds did not trigger

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 10 Mar 2016 14:41:00 -0500

docker.io (1.10.2-0ubuntu2) xenial; urgency=medium

  * debian/control:
    - disable powerpc build for now

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 10 Mar 2016 10:39:16 -0500

docker.io (1.10.2-0ubuntu1) xenial; urgency=medium

  * Update to 1.10.2 upstream release (LP: #1552790)
    - include upstream's vendored bits (explicitly relying on upstream for
      security updates and support)
    - patches for enabling Docker-in-LXD (still pending upstream)
    - patches for s390x support

 -- Tianon Gravi <tianon@debian.org>  Tue, 01 Mar 2016 14:21:20 -0800
